Package org.eclipse.lemminx.uriresolver

## Class CacheResourcesManager.ResourceToDeploy

- java.lang.Object
- - org.eclipse.lemminx.uriresolver.CacheResourcesManager.ResourceToDeploy

Enclosing class:
  CacheResourcesManager

    public static class CacheResourcesManager.ResourceToDeploy
    extends Object

Classpath resource to deploy into the lemminx cache

### Constructor Summary

Constructors
`ResourceToDeploy​(String resourceURI, String resourceFromClasspath)`
`ResourceToDeploy​(URI resourceURI, String resourceFromClasspath)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Path` `getDeployedPath()`
`String` `getResourceFromClasspath()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceToDeploy

    public ResourceToDeploy​(String resourceURI,
                            String resourceFromClasspath)

Parameters:
  `resourceURI` - - used to compute the path to deploy the resource to in the lemminx cache. Generally this is the URL to the resource. Ex. https://www.w3.org/2007/schema-for-xslt20.xsd
  `resourceFromClasspath` - - the classpath location of the resource to deploy to the lemminx cache

#### ResourceToDeploy

    public ResourceToDeploy​(URI resourceURI,
                            String resourceFromClasspath)

Parameters:
  `resourceURI` - - used to compute the path to deploy the resource to in the lemminx cache. Generally this is the URL to the resource. Ex. https://www.w3.org/2007/schema-for-xslt20.xsd
  `resourceFromClasspath` - - the classpath location of the resource to deploy to the lemminx cache

### Method Detail

#### getDeployedPath

    public Path getDeployedPath()
                         throws IOException

Returns:
  The computed path in the lemmix cache that the resource will be stored at
Throws:
  `IOException`

#### getResourceFromClasspath

    public String getResourceFromClasspath()

Returns:
  The path to the resource on the classpath